### Method

# WebKit2WebExtension DOMHTMLElement set_inner_html

deprecated: 2.8

#### Declaration [src]

    void
    webkit_dom_html_element_set_inner_html (
      WebKitDOMHTMLElement* self,
      const gchar* contents,
      GError** error
    )

#### Description

No description available.

Deprecated since: 2.8

Use `webkit_dom_element_set_inner_html()` instead.

#### Parameters

`contents`

  Type: `const gchar*`

  A #gchar with contents to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.